<!--
Archivo vista para cuando se quiere ver los detalles de una US
Se extiene de una plantilla base.html
-->
{% extends 'base.html' %}

{% block content %}
    <div class="container">

        <div class="h3 mt-3 text-center ">
            <h1 class="text-light"> Detalles del US</h1>
        </div>

        <div class="bg-light rounded border-dark">

            <div class="bg-light p-1">

                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Id:</label>
                    {{ us.id }}
                </div>
                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Titulo:</label>
                    {{ us.titulo }}
                </div>
                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Descripcion:</label>
                    {{ us.descripcion }}
                </div>
                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Estado:</label>
                    {% if us.estado == "N" %}
                        Nuevo
                    {% elif us.estado == 'PP' %}
                        En Planning
                    {% elif us.estado == 'P' %}
                        Pendiente
                    {% elif us.estado == 'EP' %}
                        En proceso
                    {% elif us.estado == 'STSA' %}
                        Sin Terminar Sprint Anterior
                    {% elif us.estado == 'A' %}
                        Aprobado
                    {% elif us.estado == 'H' %}
                        Hecho
                    {% elif us.estado == 'C' %}
                        Cancelado
                    {% endif %}
                </div>
                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Fecha Creacion:</label>
                    {{ us.fechaIngreso }}
                </div>

                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Estimacion:</label>
                    {{ us.estimacion }}
                </div>

                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Tiempo Dedicado:</label>
                    {{ us.tiempoDedicado }}
                </div>

                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Prioridad:</label>
                    {{ us.prioridad }}
                </div>

                <div class="m-3 ">
                    <label class="form-label font-weight-bold">Encargado:</label>
                    {{ us.encargado }}
                </div>


                {% block boton %}
                    <div align="left" class="btn_crear mb-3 p-3">
                        <!-- Botón para volver a la vista principal (Home) -->

                        <a class="btn btn-secondary" href="{% url 'Proyecto:UsProyecto' idProject %}"
                           role="button">Volver</a>

                    </div>
                {% endblock %}
            </div>
        </div>

    </div>
{% endblock %}